Bug 23572 - address range check enhancement / cleanup
Summary: address range check enhancement / cleanup
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-08 10:36 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:57:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-08 10:36:26 UTC
flash drivers have function to determine if a given address range
overlaps with redboot. that should be moved to the generic driver.

the load command should check that user does not try to load data on
top of RedBoot (RAM startup) or its data (ROM/RAM startup):

Cc: ecc-target-changes@cygnus.com
Subject: RE: RedBoot load address check
Date: Thu, 07 Dec 2000 04:54:28 -0700 (MST)


On 07-Dec-2000 Jesper Skov wrote:
> Well, that was simple. You already check load address of SRECs. The
> problem I had was that I specified an illegal load address (cockpit
> error), and RedBoot didn't complain - it will now... 
> 
> Hm, looking at the code, I don't see why it didn't complain in the
> srec loader. Should have! Baffled... Maybe I was loading on top of
> RedBoot in RAM and that was what caused the crash.
> 
> Incidently - should we also check load address for overlap with
> running RedBoot?
> 

Yes, this would probably be useful.

Comment 1 Alex Schuilenburg 2003-06-20 15:57:03 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=23572


Note You need to log in before you can comment on or make changes to this bug.